PLASMAENGINEEXPLO(1)

NIMI
plasmaengineexplorer - Otsese ligipääsu pakkumine Plasma andmemootoritele

SüNOPSIS

plasmaengineexplorer [--list] [--height pikslid] [--width pikslid] [-x pikslid] [-y pikslid] [--engine andmete mootor] [--source andmete mootor] [--interval ms] [--app rakendus]

plasmaengineexplorer [KDE üldised võtmed] [Qt üldised võtmed]

KIRJELDUS

plasmaengineexplorer on graafiline tööriist, mis võimaldab arendajatel testida Plasma andmemootoreid ilma Plasma apletti kirjutamata.

Kui võtmeid ei anta, käivitub see ilma andmemootorita. Vajaliku andmemootori saab valida rippmenüüst.

Kasutada saab ainult paigaldatud andmemootoreid. Äsja paigaldatud andmemootorite tuvastamiseks võib olla vajalik kasutada käsku kbuildsycoca4.

VõTMED

--list pikslid
    Teadaolevate mootorite ja nende kirjelduste näitamine.

--height
    Määrab akna kõrguse pikslites.

--width pikslid
    Määrab akna laiuse pikslites.

-x pikslid
    Määrab akna ülemise vasaku nurga X-koordinaadi pikslites.

-y pikslid
    Määrab akna ülemise vasaku nurga Y-koordinaadi pikslites.

--engine andmete mootor
    Käivitab plasmaengineexploreri valitud andmemootoriga. Parameeter andmete mootor on andmemootori sisemine nimi, mis on kindlaks määratud desktop-faili võtmega X-KDE-PluginInfo-Name.

--source andmete mootor
    Kasutatav ainult koos võtmega --engine. Nõuab andmemootorilt plasmaengineexploreri käivitamisel konkreetset allikat.

--interval aeg
    Määrab nõutud allikate vaikimisi uuendamise aja millisekundites. Kui seda pole määratud, uuendatakse allikat nõudmisel (mõne allika puhul võib see olla hetk, mil on saadaval uued andmed).

    Kui on antud võti --source, kasutatakse määratud uuendamisintervalli antud allika puhul.

--app rakendus
    Ainult eellasrakendusega seotud mootorite näitamine; seondab X-KDE-ParentApp kirje andmemootori .desktop-failis.

VAATA KA

Põhjalikumat kasutaja dokumentatsiooni pakub help:/plasma-desktop[1] (kirjuta see URL Konquerori või käivita käsuga khelpcenter help:/plasma-desktop).

NäITED

Kellaaja andmemootori laadimine, mis näitab kohalikku aega ja uueneb iga sekundi järel:

    plasmaengineexplorer --engine time --source Local --interval 1000

AUTORID

plasmaengineexplorer'i autor on Aaron Seigo <aseigo@kde.org>.

MäRKUSED

1.  help:/plasma-desktop
    help:/plasma